Subject: Re: [PATCH v2 00/15][GSoC] iterate dirs before or after their contents

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 May 2022 09:31:44 -0700

Plato Kiorpelidis <[email-masked]> writes:

> This is the second version of a patch series which implements pre-order and
> post-order iteration over directories. In this version I use the new iteration
> scheme to convert entry.c remove_subtree() function from using opendir/readdir/
> closedir API to dir-iterator API.

This cover letter seems to be written specifically for those who
have read v1.  It is not very advisable way to write your cover
letter, unless you are aiming to shrink your reviewer base in each
iteration.

Do not assume that everybody who didn't give reviews to the previous
round is not interested in the topic.

Instead, at least repeat the justification and the motivation enough
in each iteration to make it easier for those who were not involved
in earlier rounds to join the discussion.

"implements pre-order and post-order" is "what" and not "why".  Even
in this version, "convert remove_subtree()" is only a "what" and not
"why".  The reviewers need to learn why helping these patches is a
worthwhile thing to do before they decide to devote their time, so
helping them would in return help your cause.

You highlighted the difference since the previous round very well
(omitted here).  It would be very appreciated by those who were in
the first round.  Keep up the good work ;-)

> I also didn't CC Michael and Matheus in this version, since they weren't
> interested in v1 where I did CC them.

This is OK as long as the message goes to the list, but again, "no
responses" should not be taken as more than "no information".
Seeing no review comments from somebody on CC: is not a vote of "no"
by the recipient (nor it is not a vote of "yes").

Thanks for working on the topic.